---
id: 66a930b20f589b6664c51cb0
title: Step 7
challengeType: 0
dashedName: step-7
---

# --description--

When a user provides their full name, the `input` will accept plaintext.

In previous lessons, you learned how to work with the `type` attribute like this:

```html
<input type="text">
```

For your existing `input` element, add a `type` attribute set to `"text"`. 

Also give the `input` element an `id` attribute with the value of `"full-name"`.

# --hints--

You should not remove the existing `input` element.

```js
assert.isNotNull(document.querySelector('fieldset input'));
```

You should not create a new `input` element.

```js
assert.lengthOf(document.querySelectorAll('fieldset input'), 1);
```

Your `input` element should have a `type` attribute with the value of `"text"`.

```js
const input = document.querySelector('fieldset input');
assert.strictEqual(input?.getAttribute('type'), 'text');
```

Your `input` element should have an `id` attribute with the value of `"full-name"`.

```js
const input = document.querySelector('fieldset input');
assert.strictEqual(input?.getAttribute('id'), 'full-name');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Hotel Feedback Form</title>
  </head>
  <body>
    <header>
      <h1>Hotel Feedback Form</h1>
      <p>
        Thank you for staying with us. Please provide feedback on your recent
        stay.
      </p>
    </header>
    <main>
      <form method="POST" action="https://hotel-feedback.freecodecamp.org">
        <fieldset>
          <legend>Personal Information</legend>
          <label for="full-name">Name (required):</label>
        --fcc-editable-region--
          <input>
        --fcc-editable-region--
        </fieldset>
      </form>
    </main>
  </body>
</html>
```
